/***********************************************************************

	$Id: cbuf.h,v 1.4 2009/09/02 10:31:08 warme Exp $

	File:	cbuf.h
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	A simple "rubber-band" buffer for character strings.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

#ifndef CBUF_H
#define CBUF_H


/* A "rubber band" character buffer. */

#define MAX_CBUF	116

struct CBuf {
	int		count;		/* Number of chars in this buffer */
	struct CBuf *	next;		/* Next buffer in chain */
	struct CBuf *	last;		/* Last buffer in chain */
	char		buf [MAX_CBUF];	/* Buffer for characters */
};

extern void		free_cbuf (struct CBuf * bufp);
extern void		init_cbuf (struct CBuf * bufp);
extern void		put_cbuf (struct CBuf * bufp, char c);

#endif
