/***********************************************************************

	$Id: mktext.c,v 1.5 2009/09/02 10:31:08 warme Exp $

	File:	mktext.c
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	A simple program to turn text files into pre-initialized
	C character arrays.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

/*
 * This program converts a text file into an initialized array of
 * characters.  The array name is taken from the command line, and
 * the text file is taken from stdin.  The C declaration/initializer
 * is generated to stdout.
 */

#include <stdio.h>
#include <stdlib.h>

main (argc, argv)

int		argc;
char **		argv;
{
int		c;
int		n;

	if (argc < 2) {
		fprintf (stderr, "Usage: %s array_name\n", argv [0]);
		exit (1);
	}

	printf ("/*\n"
		" * This file is mechanically generated, DO NOT EDIT!\n"
		" */\n"
		"\n"
		"static char	%s [] = {\n",
		argv [1]);
	n = 0;
	while ((c = getchar ()) >= 0) {
		if (n <= 0) {
			printf ("\t");
		}
		printf ("0x%02lX,", (long) c);
		++n;
		if (n >= 12) {
			printf ("\n");
			n = 0;
		}
	}
	if (n > 0) {
		printf ("\n");
	}
	printf ("};\n");

	exit (0);
}
