/***********************************************************************

	$Id: mystring.c,v 1.4 2009/09/02 10:31:08 warme Exp $

	File:	mystring.c
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	My own versions of some string functions.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

#include "mystring.h"
#include "logic.h"
#include "memory.h"

#include <string.h>

/*
 * My own special case-insensitive string comparison.
 */

	int
mystrcasecmp (

const char *	s1,	/* IN - first string */
const char *	s2	/* IN - second string */
)
{
int			c1, c2;
const unsigned char *	p1;
const unsigned char *	p2;

	p1 = (const unsigned char *) s1;
	p2 = (const unsigned char *) s2;

	for (;;) {
		c1 = *p1;
		c2 = *p2;
		if (c2 EQ '\0') break;

		if ((c1 >= 'A') AND (c1 <= 'Z')) {
			c1 += ('a' - 'A');
		}
		if ((c2 >= 'A') AND (c2 <= 'Z')) {
			c2 += ('a' - 'A');
		}

		if (c1 NE c2) break;
		++p1;
		++p2;
	}
	return (c1 - c2);
}

/*
 * My own version of "strdup".
 */

	char *
mystrdup (

const char *	s
)
{
int		n;
char *		newp;

	if (s EQ NULL) return (NULL);

	n = strlen (s);
	newp = NEWA (n + 1, char);
	strcpy (newp, s);

	return (newp);
}
