/***********************************************************************

	$Id: name.h,v 1.4 2009/09/02 10:31:08 warme Exp $

	File:	name.h
	Rev:	a-1
	Date:	05/29/2006

	Copyright (c) 2006, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	A simple hashed symbol table of names.

************************************************************************

	Modification Log:

	a-1:	05/29/2006	warme
		: Created.

************************************************************************/

#ifndef NAME_H
#define NAME_H

#include <stddef.h>

struct Name {
	const char *	text;
	size_t		len;
	int		hash;
	int		token;
	int		fldno;
	struct Name *	next;
};

extern struct Name *	find_name_lower_case (const char * p, const char * end);
extern struct Name *	make_name (const char * s);
extern struct Name *	make_name_from_buffer (const char * p, const char * end);

#endif
