/***********************************************************************

	$Id: paper.h,v 1.4 2009/09/02 10:33:27 warme Exp $

	File:	paper.h
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	Encapsulate different paper sizes.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

#ifndef PAPER_H
#define PAPER_H


/* An object to represent a particular paper size. */
/* Note that one Postscript unit == 1/72 of an inch. */

struct PaperSize {
	double		x;	/* Width of paper in Postscript units */
	double		y;	/* Height of paper in Postscript units */
	char *		name;	/* Name of this size paper */
};

extern const struct PaperSize *	get_default_paper_size (void);
extern const struct PaperSize *	get_paper_size (const char * name);

#endif
